gtkdataboxmm 0.9.4

- Main Page
- Modules
- Namespaces
- Classes
- Examples

- Namespace List
- Namespace Members

Classes | Enumerations | Functions
GDatabox Namespace Reference

## Classes

class | Databox
class | Bars
class | CrossSimple
class | Graph
class | Grid
class | Lines
class | Markers
class | Points
class | Ruler
class | XYCGraph

## Enumerations

enum | MarkersPosition { DATABOX_MARKERS_C = 0, DATABOX_MARKERS_N, DATABOX_MARKERS_E, DATABOX_MARKERS_S, DATABOX_MARKERS_W }
| MarkersPosition: : centered on data : marker is positioned north of data : marker is positioned east of data : marker is positioned south of data : marker is positioned west of data. More...
enum | MarkersTextPosition { DATABOX_MARKERS_TEXT_CENTER = 0, DATABOX_MARKERS_TEXT_N, DATABOX_MARKERS_TEXT_NE, DATABOX_MARKERS_TEXT_E, DATABOX_MARKERS_TEXT_SE, DATABOX_MARKERS_TEXT_S, DATABOX_MARKERS_TEXT_SW, DATABOX_MARKERS_TEXT_W, DATABOX_MARKERS_TEXT_NW }
| MarkersTextPosition: : text centered on marker : text north of marker : text north-east of marker : text east of marker : text south-east of marker : text south of marker : text south-west of marker : text west of marker : text north-west of marker. More...
enum | MarkersType { DATABOX_MARKERS_NONE = 0, DATABOX_MARKERS_TRIANGLE, DATABOX_MARKERS_SOLID_LINE, DATABOX_MARKERS_DASHED_LINE }
| MarkersType: : No Marker (just text) : Marker is a triangle : Marker is a solid line : Marker is a dashed line. More...
enum | ScaleType { DATABOX_SCALE_LINEAR, DATABOX_SCALE_LOG2, DATABOX_SCALE_LOG }

## Functions

void | init ()

## Enumeration Type Documentation

enum GDatabox::MarkersPosition

MarkersPosition: : centered on data : marker is positioned north of data : marker is positioned east of data : marker is positioned south of data : marker is positioned west of data.

Position of a marker relative to its respective X/Y value.

Enumerator:

  DATABOX_MARKERS_C |
  DATABOX_MARKERS_N |
  DATABOX_MARKERS_E |
  DATABOX_MARKERS_S |
  DATABOX_MARKERS_W |

enum GDatabox::MarkersTextPosition

MarkersTextPosition: : text centered on marker : text north of marker : text north-east of marker : text east of marker : text south-east of marker : text south of marker : text south-west of marker : text west of marker : text north-west of marker.

Position of a label relative to its repective marker.

Enumerator:

  DATABOX_MARKERS_TEXT_CENTER |
  DATABOX_MARKERS_TEXT_N |
  DATABOX_MARKERS_TEXT_NE |
  DATABOX_MARKERS_TEXT_E |
  DATABOX_MARKERS_TEXT_SE |
  DATABOX_MARKERS_TEXT_S |
  DATABOX_MARKERS_TEXT_SW |
  DATABOX_MARKERS_TEXT_W |
  DATABOX_MARKERS_TEXT_NW |

enum GDatabox::MarkersType

MarkersType: : No Marker (just text) : Marker is a triangle : Marker is a solid line : Marker is a dashed line.

Type of the marker

Enumerator:

  DATABOX_MARKERS_NONE |
  DATABOX_MARKERS_TRIANGLE |
  DATABOX_MARKERS_SOLID_LINE |
  DATABOX_MARKERS_DASHED_LINE |

## Function Documentation

void GDatabox::init | ( |  | ) |